<template>
  <div class="echart">
    <div class="item">
        <MarketingData :row="row"></MarketingData>
    </div>
    <div>
        <chart :id="row.id" :type="2" :name="row.productName"></chart>
    </div>
  </div>
</template>

<script>
export default {
  components: {
    MarketingData:()=> import('../marketingData.vue'),
    chart:() => import('../echarts/components/echarts.vue'),
  },
  props: {
    row:{
        default:()=>{
            return {}
        }
    }
  },
  data() {
    return {
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {},
  methods: {},
};
</script>
<style lang="scss" scoped>
.echart{
    display: flex;
    height: 100%;
    .item{
        padding:10px;
        height: 100%;
        border-right: 1px solid gray;
    }
}
</style>